﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Menus;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Person> Data { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            Data = new ObservableCollection<Person>();

            ObservableCollection<Person1> children = new ObservableCollection<Person1>();
            children.Add(new Person1() { Name1 = "Child", IsSelected = true });

            Data.Add(new Person() { Name = "Jonny", Child = children, IsSelected = true });
            Data.Add(new Person() { Name = "Jim", Child = children, IsSelected = false });
            Data.Add(new Person() { Name = "Jack", Child = children, IsSelected = true });
            Data.Add(new Person() { Name = "Jameson", Child = children, IsSelected = false });

            this.DataContext = Data;
        }
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            (treeViewPoints.GlobalNodeLayouts[1] as NodeLayout).ItemTemplate = this.Resources["newTemplate"] as DataTemplate;
        }
    }

    public class Person
    {
        public string Name { get; set; }
        public bool IsSelected { get; set; }
        public ObservableCollection<Person1> Child { get; set; }
    }

    public class Person1
    {
        public string Name1 { get; set; }
        public bool IsSelected { get; set; }
    }
}
